From da2cab94ecea788ac2b39c05e943f412b2e188c6 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Nov 18 2024 21:24:51 +0000
Subject: Remove IoT, only compose fedora-bootc container


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index a8cd2c8..dc50b18 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -22,7 +22,7 @@ sigkeys = ['a15B79cc']
 tree_arches = ['aarch64', 'x86_64']
 # limit tree variants
 # if undefined, all variants from variants.xml will be included
-tree_variants = ['IoT', 'bootc']
+tree_variants = ['bootc']
 hashed_directories = True
 
 # RUNROOT settings
@@ -87,13 +87,6 @@ lorax_options = [
   })
 ]
 
-additional_packages = [
-    ('^IoT$$', {
-        '*': [
-            '*',
-        ],
-    }),
-]
 multilib = [
     ('^Everything$', {
         'x86_64': ['devel', 'runtime'],
@@ -209,71 +202,6 @@ global_version = '40'
 # live_images ignores this in favor of live_target
 global_target = 'f40'
 
-osbuild = {
-    "^IoT$": [
-      {
-        "name": "%s-raw" % release_name,
-        "distro": "fedora-40",
-        "image_types": ["iot-raw-image"],
-        "target": "f%s-candidate" % release_version,
-        "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/",
-                 "https://kojipkgs.fedoraproject.org/compose/updates/f40-updates/compose/Everything/$arch/os/"],
-        "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/stable/$arch/iot",
-        "subvariant": "IoT",
-      },
-      {
-        "name": "%s-ostree" % release_name,
-        "distro": "fedora-40",
-        "image_types": ["iot-installer"],
-        "target": "f%s-candidate" % release_version,
-        "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/",
-                 "https://kojipkgs.fedoraproject.org/compose/updates/f40-updates/compose/Everything/$arch/os/"],
-        "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/stable/$arch/iot",
-        "subvariant": "IoT",
-        "manifest_type": "dvd-ostree",
-      },
-      {
-        "name": "%s-provisioner" % release_name,
-        "distro": "fedora-40",
-        "image_types": ["iot-simplified-installer"],
-        "target": "f%s-candidate" % release_version,
-        "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/",
-                 "https://kojipkgs.fedoraproject.org/compose/updates/f40-updates/compose/Everything/$arch/os/"],
-        "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/stable/$arch/iot",
-        "subvariant": "IoT",
-        "customizations": {"installation_device": "/dev/vda"},
-        "failable": ["*"],
-      },
- ],
-}
-
-ostree = {
-    "^IoT$": {
-            "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
-            "force_new_commit": True,
-            "unified_core": True,
-            "treefile": "fedora-iot.yaml",
-            "config_url": "https://pagure.io/fedora-iot/ostree.git",
-            "config_branch": "f40",
-            "repo": [
-                "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$basearch/os/",
-                "https://kojipkgs.fedoraproject.org/compose/updates/f40-updates/compose/Everything/$basearch/os/"],
-            "tag_ref": False,
-            "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/stable/${basearch}/iot",
-            "runroot_packages": ["selinux-policy-targeted"],
-            "arches": ["x86_64", "aarch64"],
-            "update_summary": True,
-        }
-}
-
 ostree_container = {
     "^bootc$": {
         "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
diff --git a/sync-bootc-base-containers.sh b/sync-bootc-base-containers.sh
index f2272f9..5417d10 100755
--- a/sync-bootc-base-containers.sh
+++ b/sync-bootc-base-containers.sh
@@ -47,9 +47,9 @@ arch_to_goarch() {
 
 # This is the release of Fedora that is currently stable, it will define if we
 # need to move the fedora:latest tag
-current_stable="40"
+current_stable="41"
 # Define what is rawhide so we know to push that tag
-current_rawhide="41"
+current_rawhide="42"
 # Sanity checking
 if ! [[ "${1}" =~ ^-?[0-9]+$ ]];
 then

